<html>

<head>
    <style type="text/css">
        /* default for all pages */
        @page {
          size: A4 portrait;
          margin-left: 0px;
          margin-right: 0px;
          margin-top: 35px;
          margin-bottom: 30px;
          @bottom-center {width: 50%; content: element(footer)}
        }
        @media print {
          .footer {
            left: 0;
            width: 50%;
            position: running(footer);
            height: 35px;
          }
        }
       
        .parent::before{
          content: "";
          position: fixed;
          display : inline-block;
          height: 100%;
          width : 50%;
          min-height: 29.7cm;
          top: 0px;
          left: 0px;
          border-right: 2px solid gray;
          padding: 0;
         z-index: -1;
        }
        ul{
            list-style: none;
        }
    </style>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" />
    <!-- <link
      href="https://fonts.googleapis.com/css2?family=Roboto&display=swap"
      rel="stylesheet"
    /> -->
</head>

<body style="margin: 0px; ">
    <table style="width: 100%; border-spacing: 0;" class="footer">
        <tr>
          <td>
            <div style="position: absolute; bottom: 0;left: 0; height: 40px; width: 50%;border-right: 2px solid gray; "></div>
          </td>
        </tr>
      </table>
      <table style="width: 100%; background-color: white;">
        <tr>
            <td>
                <table style="  border-spacing: 0px;  border: 0; font-family: 'Roboto', sans-serif; width: 100%; padding: 0px 40px 0px 40px; ">
                    <tr>
                      <td style="font-size: 25px; width: 40%; ">
                          <div style="font-weight: bold;">[[${firstname}]]</div>
                          <div style="padding-top: 5px;">[[${lastname}]]</div>
                          <div style="color: #e59f93; font-size: 18px;padding-top: 5px;">[[${jobPosition}]]</div>
                      </td>
                      <td style="width:140px ;">
                          <div style="
                          background-repeat: no-repeat;background-size: cover;
                          background-image: url(file:src/main/resources/templates/images/maggie.jpg);
                          display: block;width: 140px;height: 175px;background-position: center;">
                          </div>
                          
                        </td>
                        <td style="padding-left: 20px; ">
                          <table style="width: 100%;">
                              <tr>
                                  <td style="width: 20px;vertical-align: middle;">
      
                                  <img
                                      src="file:src/main/resources/templates/images/mail2.png"
                                      alt=""
                                      style="width: 16px; height: 16px;
      
                                      "
                                  />
                                </td>
                                <td style="font-size: 12px;vertical-align: top;padding-top: 2px; ">
                                  [[${email}]]
                                </td></tr>
                           </table>
                           <table style="width: 100%;">
                              <tr>
                                  <td style="width: 20px;vertical-align: middle;">
      
                                  <img
                                      src="file:src/main/resources/templates/images/php.png"
                                      alt=""
                                      style="width: 16px; height: 16px;
      
                                      "
                                  />
                                </td>
                                <td style="font-size: 12px;vertical-align: super; ">
                                  [[${phone}]]
                                </td></tr>
                           </table>
                           <table style="width: 100%;">
                              <tr>
                                  <td style="width: 20px;vertical-align: middle;">
      
                                  <img
                                      src="file:src/main/resources/templates/images/po.png"
                                      alt=""
                                      style="width: 16px; height: 16px;
      
                                      "
                                  />
                                </td>
                                <td style="font-size: 12px;vertical-align: super ; padding-top: 2px; ">
                                  [[${address}]],  [[${city}]], [[${country}]]
                                </td></tr>
                           </table>
      
                        </td>
                    </tr>
      
      
                  </table>
            </td>
        </tr>
      </table>
      <table style="width: 100px;height: 2px; background-color: gray; border-spacing: 0;" align="center">
        <tr>
            <td>

            </td>
        </tr>
    </table>
     <table style="width: 90%; border-spacing: 0;" align="center" class="parent">
       
        <tr>
            <td style="width: 50%;padding: 0;vertical-align: top;">
                <table style="width: 100%; border-spacing: 0;">
                    <tr>
                        <td style="padding: 0;">
                            <table style="width: 100%; border-spacing: 0; padding: 10px 10px 10px 0px; border-bottom: 2px solid gray;">
                                <tr>
                                    <td style="font-weight: bold; font-size: 16px;">PROFIL</td>
                                </tr>
                                <tr>
                                    <td style="padding-top: 10px;">
                                        [[${summary}]]
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding: 0;">
                            <table style="width: 100%; border-spacing: 0; padding: 10px 10px 10px 0px; border-bottom: 2px solid gray;">
                                <tr>
                                    <td style="font-weight: bold; font-size: 16px;">COMPÉTENCES</td>
                                </tr>
                                <tr>
                                    <td style="padding-top: 10px;">
                                        <table style="width: 100%; border-spacing: 0px;line-height: 26px;">
                                            <tr>
                                                <td style="font-size: 13px;width: 180px">
                                                    <span style="width: 100%; display: inline-block;vertical-align: middle;">[[${skill.label}]]</span>
                                                    </td>
                                                    <td style="vertical-align: middle;">
                                                    <span style=" height: 12px;width: 12px;margin-right: 3px; background-color: #fe684d;border-radius: 50%;display: inline-block;"></span>
                                                    <span  style=" height: 12px;width: 12px;margin-left: -4px; margin-right: 7px; background-color: #c2c2c2;border-radius: 50%;display: inline-block;"></span>
                                                  </td>
                                            </tr>
                                        </table>
                                    </td>
            
                                  </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding: 0;">
                            <table style="width: 100%; border-spacing: 0; padding: 10px 10px 10px 0px; border-bottom: 2px solid gray;">
                                <tr>
                                    <td style="font-weight: bold; font-size: 16px;">LANGUES</td>
                                </tr>
                                <tr>
                                    <td style="padding-top: 10px;">
                                        <table style="width: 100%; border-spacing: 0px;line-height: 26px;">
                                            <tr style="page-break-inside: avoid" >
                                                <td style="font-size: 13px; width: 180px">
                                                    <span style="width: 100px; display: inline-block">[[${language.lang}]]</span>
                                                    </td>
                                                    <td>
                                                    <span  style=" height: 12px;width: 12px;margin-right: 3px; background-color: #fe684d;border-radius: 50%;display: inline-block;"></span>
                                                    <span  style=" height: 12px;width: 12px;margin-left: -4px; margin-right: 7px; background-color: #c2c2c2;border-radius: 50%;display: inline-block;"></span>
                                                  </td>
                                            </tr>
                                        </table>
                                    </td>
            
                                  </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            
            </td>
            <td style="width: 50%;padding: 0;vertical-align: top;">
                <table style="width: 100%; border-spacing: 0;">
                    <tr>
                        <td style="padding: 0;">
                            <table style="width: 100%; border-spacing: 0; padding: 10px 10px 10px 20px; border-bottom: 2px solid gray;">
                                <tr>
                                    <td style="font-weight: bold; font-size: 16px;">EXPÉRIENCES PROFESSIONNELE</td>
                                </tr>
                                <tr>
                                    <td style="line-height: 18px;padding-bottom: 5px;">
                                        <div style="padding-top: 10px;font-size: 14px;font-weight: bold;"><span >[[${experience.organization}]]</span> | <span style="color: rgb(104, 104, 104);font-weight: lighter;"> [[${experience.jobPosition}]]</span></div>
                                        <div style="color: #e59f93;">[[${experience.from}]] - [[${experience.to}]]</div>
                                      <div>[[${experience.description}]]</div>
                                        <div style="padding-top: 4px;">Tâches réalisées:</div>
                                        <ul  style="margin: 0;padding-left: 10px;">
                                            <li style="page-break-inside: avoid; position: relative; padding-left: 6px;"><div style="height: 4px ; width: 4px; background-color: black; border-radius: 50%; top: 7px; left: -9px; position: absolute;"></div>[[${tache}]]</li>
                                          </ul>
                                      <table style="margin-left: -4px; border-spacing: 0px;">
                                        <tr>
                                          <td style="font-family: sans-serif ; width: 100%;box-sizing: border-box; white-space: nowrap;font-size: 10px;">
                                            <div style="page-break-inside: avoid; font-family: sans-serif;font-size: 12px;margin: 4px;color: gray;" >Skills:</div>
                                            <div  style="display:inline-block;font-family: sans-serif;margin: 4px; padding: 4px 6px 4px 6px;border-radius: 20px; background-color: #fdf4f2;border: 1px dashed #e59f93 ; color: gray;" >
                                              [[${skill.label}]]
                                            </div>
            
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding: 0;">
                            <table style="width: 100%; border-spacing: 0; padding: 10px 10px 10px 20px; border-bottom: 2px solid gray;">
                                <tr>
                                    <td style="font-weight: bold; font-size: 16px;">FORMATION</td>
                                </tr>
                                <tr>
                                    <td style="line-height: 18px;padding-bottom: 5px;">
                                        <div style="font-size: 13px;font-weight: bold">[[${education.designation}]]</div>
                                      <div>[[${education.degree}]]</div>
                                        <div style="color: #e59f93;"> [[${education.organization}]], [[${education.city}]], [[${education.country}]]</div>
                                        <div style="color: rgb(104, 104, 104);"> [[${education.from}]] - [[${education.to}]]</div>
                                      <div>[[${education.description}]]</div>
                                      <table style="margin-left: -4px; border-spacing: 0px;">
                                        <tr style="page-break-inside: avoid;">
                                          <td style="font-family: sans-serif ; width: 100%;box-sizing: border-box; white-space: nowrap;font-size: 10px;">
                                            <div style=" font-family: sans-serif;font-size: 12px;margin: 4px;color: gray;" >Skills:</div>
                                            <div style="display:inline-block;font-family: sans-serif;margin: 4px; padding: 4px 8px 4px 8px;border-radius: 20px;background-color: #fdf4f2;border: 1px dashed #e59f93 ; color: gray;" >
                                              [[${Skill.label}]]
                                            </div>
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
     </table>
   
</body>

</html>